<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>NOIRLab IRAF</title>
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/csdc-base.css">
    <link rel="stylesheet" href="css/style.css">
    <script>
      (function initMatomo(window){
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
          var u="//matomo.noirlab.edu/";
          _paq.push(['setTrackerUrl', u+'matomo.php']);
          _paq.push(['setSiteId', '3']);
          var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
          g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
      })(window)
    </script>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-VYSCZ68PS9"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'G-VYSCZ68PS9');
    </script>
  </head>
  <body>
    <div class="content">
      <div class="card padded">
        <div class="iraf-logo">
          <img alt="IRAF Logo" loading="lazy" decoding="async" src="img/iraf-logo.png">
        </div>
        <h1 class="heading-text">
          NOIRLab IRAF
        </h1>
	<hr align="left" width="100%">
	<h3 style="color:Red;">
	  New for 2024: NOIRLab IRAF v2.18
	</h3>
        <h4>Introduction</h4>
        <p align="justify">
	  The Image Reduction and Analysis Facility (IRAF) is a general-purpose
	  software system for the reduction and analysis of scientific data.
	  Its development started in 1984 at the National Optical Astronomy
	  Observatories (NOAO) in Tucson, Arizona. As of January 2024, the <a
	  href="https://noirlab.edu/science/programs/csdc"
	  target="_blank">Community Science and Data Center</a> (CSDC) and the
	  <a href="https://noirlab.edu/science/programs/csdc/usngo"
	  target="_blank">US National Gemini Office</a> (US NGO) at <a
	  href="https://noirlab.edu/science/" target="_blank">NSF NOIRLab</a>
	  launched the new NOIRLab IRAF v2.18. The main goal of this
	  modernization project was to provide a stable, fast, reliable, and
	  accessible data reduction option to Gemini users while new and modern
	  software is being developed for all facility instruments and modes.
	  The limited scope of the project includes:
	  <ul>
	    <li>Fix all OS, platform, and licensing issues in existing code.</li>
	    <li>Port the GEMINI data reduction package and its dependencies to 64-bit.</li>
	    <li>Update IRAF core system and external packages with needed OS and platform fixes.</li>
	  </ul>
	  Further details are given on the release notes.
        </p>
        <h4>User Support</h4>
        <p align="justify">
	  For general inquiries, feedback, and installation issues, please use one of the
	  email addresses listed below. Bugs within the code can also be reported
	  through GitLab issues. Specific questions about data reduction using
	  the GEMINI package should be submitted to the Gemini External
	  Helpdesk.
          <br /><br />
          <a href="mailto:iraf@noirlab.edu" target="_blank">
            iraf@noirlab.edu <span>&rsaquo;</span>
          </a>&nbsp;
          <a href="mailto:usngo@noirlab.edu" target="_blank">
            usngo@noirlab.edu <span>&rsaquo;</span>
          </a>&nbsp;
          <a href="https://gitlab.com/groups/nsf-noirlab/csdc/usngo/iraf/-/issues" target="_blank">
            Report issue on Gitlab <span>&rsaquo;</span>
          </a>&nbsp;
          <a href="https://noirlab.atlassian.net/servicedesk/customer/portal/12" target="_blank">
            Gemini Helpdesk <span>&rsaquo;</span>
          </a>
        </p>
        
        <p align="justify">
	    For a large collection of many help resources, guides and manuals written for IRAF through the years, 
      please visit the 
      <a href="docs.html" target="_blank" >NOIRLab IRAF document collection</a>.
      </p>
         
        <h4>Download and Release Notes</h4>
        <p align="justify">
          Click on the buttons below to download NOIRLab IRAF v2.18 for Mac and Linux
	  platforms. For full download instructions, release notes, and documentation
          <a href="release">click here <span>&rsaquo;</span></a>
          <br /><br />
          Note: the Linux installers should be run from an empty directory. 
          <br /><br />
          <a href="download/mac/" target="_blank">
            <button class="btn-secondary">macOS (.dmg)&nbsp;&rsaquo;</button>
          </a>
          <a href="download/linux64/" target="_blank">
            <button class="btn-secondary">Linux 64-bit (.sh)&nbsp;&rsaquo;</button>
          </a>
        </a>
        <a href="download/linux32/" target="_blank">
          <button class="btn-secondary">Linux 32-bit (.sh)&nbsp;&rsaquo;</button>
        </a>
          <a href="https://gitlab.com/nsf-noirlab/csdc/usngo/iraf" target="_blank">
            <button class="btn-secondary">Source code (GitLab)&nbsp;&rsaquo;</button>
          </a>
          <div class="alert">
            <b>Note: If the DMG installer was downloaded using a web browser, you may see
            security popups when installing or launching the applications.  These can be
            avoided in several ways:</b>
            <br><br>
            Once the DMG is downloaded, remove the quarantine attribute before opening the image with the following command:<br>
            <pre style="font-size:10pt">% xattr -c NOIRLab-IRAF-v2.18.dmg</pre>
            Download the appropriate file using cURL instead of a web browser, e.g.:<br>
            <pre style="font-size:8pt;overflow:auto">% curl -OL https://gitlab.com/api/v4/projects/52167765/packages/generic/iraf-mac/2.18/NOIRLab-IRAF-v2.18.dmg</pre>
            <pre style="font-size:8pt;overflow:auto">% curl -OL https://gitlab.com/api/v4/projects/52167765/packages/generic/iraf-linux/2.18/iraf-v218-linux64.sh</pre>
            <pre style="font-size:8pt;overflow:auto">% curl -OL https://gitlab.com/api/v4/projects/52167765/packages/generic/iraf-linux/2.18/iraf-v218-linux32.sh</pre>
            </div>
        </p>
        <h4>References and Citations</h4>
        <p align="justify">
	  If you are the primary author on a paper citing the use of NOIRLab IRAF,
	  please include the following in the acknowledgments section
	  in your publication:
          <br /><br />
	  <em>
	  NOIRLab IRAF is distributed by the Community Science and Data Center
	  at NSF NOIRLab, which is managed by the Association of Universities
	  for Research in Astronomy (AURA) under a cooperative agreement with
          the U.S. National Science Foundation.
	  </em>
          <br /><br />
	  Also, please include the following articles in the reference section of your paper:
          <br /><br />
          <a href="https://ui.adsabs.harvard.edu/abs/1986SPIE..627..733T/abstract" target="_blank">
            Tody (1986) <span>&rsaquo;</span>
          </a>&nbsp;
          <a href="https://ui.adsabs.harvard.edu/abs/1993ASPC...52..173T/abstract" target="_blank">
            Tody (1993) <span>&rsaquo;</span>
          </a>&nbsp;
          <a href="https://ui.adsabs.harvard.edu/abs/2024arXiv240101982F/abstract" target="_blank">
            Fitzpatrick et al. (2024) <span>&rsaquo;</span>
          </a>
        </p>
        <h4>Acknowledgments</h4>
        <p align="justify">
	  Throughout the years, IRAF has also been tirelessly kept alive by a number of volunteers in the 
	  astronomy community (including <a href="https://iraf.net/" target="_blank">iraf.net</a> and 
	  <a href="https://iraf-community.github.io/" target="_blank">IRAF Community Distribution</a>), 
	  providing user support, data reduction tutorials and cookbooks, and maintaining the code.
	  Those efforts have been appreciated.
          <br /><br />
        </p>
      </div>
      <div class="logos">
        <a href="https://noirlab.edu/" target="_blank">
          <img alt="NSF NOIRLab Logo" loading="lazy" width="176" height="70" decoding="async" src="img/nsf-noirlab-logo.svg">
        </a>
        <a href="https://noirlab.edu/public/programs/csdc/" target="_blank">
          <img alt="CSDC Logo" loading="lazy" width="137" height="137" decoding="async" src="img/csdc-logo.svg">
        </a>
        <a href="https://noirlab.edu/science/programs/csdc/usngo" target="_blank">
          <img alt="US NGO Logo" loading="lazy" width="75" height="75" decoding="async" src="img/usngo-logo.jpeg">
        </a>
        <a href="https://www.aura-astronomy.org/" target="_blank">
          <img alt="AURA Logo" loading="lazy" width="158" height="74" decoding="async" src="img/aura-logo.svg">
        </a>
      </div>
      <div class="credits">
        <p>
          IRAF is in part provided by the&nbsp;<a href="https://noirlab.edu/public/programs/csdc/" target="_blank"> 
          Community Science and Data Center (CSDC)</a> at <a href="https://noirlab.edu/" target="_blank">NSF NOIRLab</a>,
          the national center for ground-based nighttime astronomy in the United States operated by the
          &nbsp;<a href="https://www.aura-astronomy.org/" target="_blank">Association of Universities for Research in
          &nbsp;Astronomy (AURA)</a>&nbsp; under cooperative agreement with the&nbsp;
          <a href="https://www.nsf.gov/" target="_blank">U.S. National Science Foundation.</a>
        </p>
      </div>
    </div>
  </body>
</html>

